TelepathyQt4: Tp::PendingHandles Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

# Tp::PendingHandles Class Reference
[Connection proxies]

Class containing the parameters of and the reply to an asynchronous handle request/hold. Instances of this class cannot be constructed directly; the only way to get one is to use Connection::requestHandles() or Connection::referenceHandles(). More...

`#include <TelepathyQt4/PendingHandles>`

Inherits Tp::PendingOperation.

List of all members.

## Public Member Functions

- ~PendingHandles ()
- ConnectionPtr connection () const
- uint handleType () const
- bool isRequest () const
- bool isReference () const
- const QStringList & namesRequested () const
- QStringList validNames () const
- QHash< QString, QPair< QString,
  QString > > invalidNames () const
- const UIntList & handlesToReference () const
- ReferencedHandles handles () const
- UIntList invalidHandles () const

## Detailed Description

Class containing the parameters of and the reply to an asynchronous handle request/hold. Instances of this class cannot be constructed directly; the only way to get one is to use Connection::requestHandles() or Connection::referenceHandles().

## Constructor & Destructor Documentation

Tp::PendingHandles::~PendingHandles | ( |  | ) |

Class destructor.

## Member Function Documentation

ConnectionPtr Tp::PendingHandles::connection | ( |  | ) | const

Returns the Connection object through which the operation was made.

Returns:
  Pointer to the Connection.

uint Tp::PendingHandles::handleType | ( |  | ) | const

Returns the handle type specified in the operation.

Returns:
  The handle type, as specified in HandleType.

bool Tp::PendingHandles::isRequest | ( |  | ) | const

Returns whether the operation was a handle request (as opposed to a reference of existing handles).

See also:
  isReference()

Returns:
  Whether the operation was a request (== !isReference()).

bool Tp::PendingHandles::isReference | ( |  | ) | const

Returns whether the operation was a handle reference (as opposed to a request for new handles).

See also:
  isRequest()

Returns:
  Whether the operation was a reference (== !isRequest()).

const QStringList & Tp::PendingHandles::namesRequested | ( |  | ) | const

If the operation was a request (as returned by isRequest()), returns the names of the entities for which handles were requested for. Otherwise, returns an empty list.

Returns:
  Reference to a list of the names of the entities.

QStringList Tp::PendingHandles::validNames | ( |  | ) | const

QHash< QString, QPair< QString, QString > > Tp::PendingHandles::invalidNames | ( |  | ) | const

const UIntList & Tp::PendingHandles::handlesToReference | ( |  | ) | const

If the operation was a reference (as returned by isReference()), returns the handles which were to be referenced. Otherwise, returns an empty list.

Returns:
  Reference to a list of the handles specified to be referenced.

ReferencedHandles Tp::PendingHandles::handles | ( |  | ) | const

Returns the now-referenced handles resulting from the operation. If the operation has not (yet) finished successfully (isFinished() returns `false`), the return value is undefined.

For requests of new handles, `handles()[i]` will be the handle corresponding to the entity name `namesToRequest()[i]`. For references of existing handles, `handles()[i] == handlesToReference()[i]` will be true for any `i`.

Returns:
  ReferencedHandles instance containing the handles.

UIntList Tp::PendingHandles::invalidHandles | ( |  | ) | const